Get a Payment Request by ID

Requires the PAYMENT_REQUEST.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
payment_schedule_idstring or nullRead-only
The id of the payment schedule
customer_idstring or nullRead-only
The id of the customer
customerobject or null
statusenum or nullRead-only
The status of the payment request
created_atstring or nullRead-only
The moment the payment request was created
execute_atstring or nullRead-only
The moment the payment request must be executed
indexinteger or nullRead-only
The index of the payment request of the payment schedule
amountobject or null
The amount of the payment request

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error